var Alloy = require('/alloy'),
    Backbone = Alloy.Backbone,
    _ = Alloy._;

function WPATH(s) {
	var index = s.lastIndexOf('/');
	var path = index === -1 ? 'com.propelics.slidingView/' + s : s.substring(0, index) + '/com.propelics.slidingView/' + s.substring(index + 1);

	return path.indexOf('/') !== 0 ? '/' + path : path;
}

function __processArg(obj, key) {
	var arg = null;
	if (obj) {
		arg = obj[key] || null;
		delete obj[key];
	}
	return arg;
}

function Controller() {
	var Widget = new (require('/alloy/widget'))('com.propelics.slidingView');this.__widgetId = 'com.propelics.slidingView';
	require('/alloy/controllers/' + 'BaseController').apply(this, Array.prototype.slice.call(arguments));
	this.__controllerPath = 'widget';
	this.args = arguments[0] || {};

	if (arguments[0]) {
		var __parentSymbol = __processArg(arguments[0], '__parentSymbol');
		var $model = __processArg(arguments[0], '$model');
		var __itemTemplate = __processArg(arguments[0], '__itemTemplate');
	}
	var $ = this;
	var exports = {};
	var __defers = {};

	$.__views.overlay = Ti.UI.createView({ top: 0, left: 0, height: Ti.UI.FILL, width: Ti.UI.FILL, backgroundColor: Alloy.Globals.colors.transparent, opacity: 1, id: "overlay" });

	$.__views.overlay && $.addTopLevelView($.__views.overlay);
	$.__views.slidingViewWrapper = Ti.UI.createView({ top: 0, right: -1240, width: 1240, height: Ti.UI.FILL, id: "slidingViewWrapper" });

	$.__views.overlay.add($.__views.slidingViewWrapper);
	$.__views.borderView = Ti.UI.createView({ top: 0, left: 0, width: 2, height: Ti.UI.FILL, backgroundColor: Alloy.Globals.colors.cornflower, id: "borderView" });

	$.__views.slidingViewWrapper.add($.__views.borderView);
	$.__views.slidingView = Ti.UI.createView({ top: 0, left: 2, right: 0, height: Ti.UI.FILL, backgroundColor: Alloy.Globals.colors.polar, id: "slidingView" });

	$.__views.slidingViewWrapper.add($.__views.slidingView);
	$.__views.slidingViewContent = Ti.UI.createView({ top: 28, left: 32, right: 32, id: "slidingViewContent" });

	$.__views.slidingView.add($.__views.slidingViewContent);
	exports.destroy = function () {};

	_.extend($, $.__views);

	$.addSomething = function (_view) {
		$.slidingViewContent.add(_view.getView());
	};
	$.animate = function () {
		$.slidingViewWrapper.animate({
			right: 0,
			duration: 1500,
			curve: Ti.UI.ANIMATION_CURVE_EASE_IN });
	};
	function handleOverlayViewClick(_evt) {
		console.log(_evt.source.id);
	}
	$.overlay.addEventListener('click', handleOverlayViewClick);

	_.extend($, exports);
}

module.exports = Controller;