// The contents of this file will be executed before any of
// your view controllers are ever executed, including the index.
// You have access to all functionality on the `Alloy` namespace.
//
// This is a great place to do any initialization for your app
// or create any global variables/functions that you'd like to
// make available throughout your app. You can easily make things
// accessible globally by attaching them to the `Alloy.Globals`
// object. For example:
//
// Alloy.Globals.someGlobalFunction = function(){};

Alloy.Globals = {

		colors: {
			transparent: 'transparent',
			white: '#ffffff',
			alto: '#d8d8d8',
			abbey: '#54585a',
			grayChateau: '#a2aaad',
			irishCoffee: '#5b3427',
			honeyFlower: '#5f2167',
			flirt: '#b0008e',
			deepSea: '#008675',
			apple: '#4c9d2f',
			pistachio: '#97d700',
			tacha: '#d2d755',
			crusta: '#ff7f32',
			webOrange: '#ffa300',
			supernova: '#ffc600',
			shiraz: '#ba0c2f',
			midnightBlue: '#012169',
			allports: '#0067a0',
			pacificBlue: '#0099cc',
			polar: '#f2fafc',
			cornflower: '#9bcbeb',
			black: '#000000',
			wildSand: '#f5f5f5',
			dustyGray: '#999999',
			silver: '#cccccc',
			silverChalice: '#b0b0b0',
			doveGray: '#666666',
			gray: '#878787',
			blackk: '#000100',
			gallery: '#ebebeb',
			mercury: '#e6e6e6',
			galleryMenu: '#efefef',
			altoMenu: '#EEd8d8d8',
			altoDark: '#d0d0d0'
		},

		styles: {
			opacityDisabled: 0.5
		},

	};

	Alloy.Globals.fonts = {
		primary: {
			black: 'seguibl.ttf#Segoe UI',
			blackItalic: 'seguibli.ttf#Segoe UI',
			bold: 'segoeuib.ttf#Segoe UI',
			boldItalic: 'segoeuiz.ttf#Segoe UI',
			italic: 'segoeuii.ttf#Segoe UI',
			light: 'segoeuil.ttf#Segoe UI',
			lightItalic: 'seguili.ttf#Segoe UI',
			regular: 'segoeui.ttf#Segoe UI',
			semibold: 'seguisb.ttf#Segoe UI',
			semiboldItalic: 'seguisbi.ttf#Segoe UI',
			semilight: 'segoeuisl.ttf#Segoe UI',
			semilightItalic: 'seguisli.ttf#Segoe UI'
		}
	};