var Alloy = require('/alloy'),
    Backbone = Alloy.Backbone,
    _ = Alloy._;

function __processArg(obj, key) {
	var arg = null;
	if (obj) {
		arg = obj[key] || null;
		delete obj[key];
	}
	return arg;
}

function Controller() {

	require('/alloy/controllers/' + 'BaseController').apply(this, Array.prototype.slice.call(arguments));
	this.__controllerPath = 'controllerview';
	this.args = arguments[0] || {};

	if (arguments[0]) {
		var __parentSymbol = __processArg(arguments[0], '__parentSymbol');
		var $model = __processArg(arguments[0], '$model');
		var __itemTemplate = __processArg(arguments[0], '__itemTemplate');
	}
	var $ = this;
	var exports = {};
	var __defers = {};

	$.__views.trimProfilesView = Ti.UI.createView({ top: 28, width: Ti.UI.FILL, height: Ti.UI.FILL, id: "trimProfilesView" });

	$.__views.trimProfilesView && $.addTopLevelView($.__views.trimProfilesView);
	$.__views.trimProfileHeaderLabel = Ti.UI.createLabel({ top: 0, left: 0, text: L('trim_profiles'), id: "trimProfileHeaderLabel" });

	$.__views.trimProfilesView.add($.__views.trimProfileHeaderLabel);
	$.__views.addNewButton = Ti.UI.createButton({ top: 18, right: 0, width: 240, title: L('trim_profiles_add_new'), id: "addNewButton" });

	$.__views.trimProfilesView.add($.__views.addNewButton);
	$.__views.trimProfilesScrollView = Ti.UI.createScrollView({ top: 128, width: Ti.UI.FILL, height: Ti.UI.FILL, id: "trimProfilesScrollView", layout: "vertical" });

	$.__views.trimProfilesView.add($.__views.trimProfilesScrollView);
	$.__views.trimProfilesHeaderContainer = Ti.UI.createView({ width: Ti.UI.FILL, height: 40, backgroundColor: Alloy.Globals.colors.alto, id: "trimProfilesHeaderContainer", layout: "horizontal" });

	$.__views.trimProfilesScrollView.add($.__views.trimProfilesHeaderContainer);
	$.__views.trimProfileNameView = Ti.UI.createView({ width: 360, height: Ti.UI.FILL, id: "trimProfileNameView" });

	$.__views.trimProfilesHeaderContainer.add($.__views.trimProfileNameView);
	$.__views.trimProfileNameLabel = Ti.UI.createLabel({ left: 8, text: L('trim_profiles_name'), id: "trimProfileNameLabel" });

	$.__views.trimProfileNameView.add($.__views.trimProfileNameLabel);
	$.__views.garmentView = Ti.UI.createView({ width: 300, height: Ti.UI.FILL, id: "garmentView" });

	$.__views.trimProfilesHeaderContainer.add($.__views.garmentView);
	$.__views.garmentLabel = Ti.UI.createLabel({ left: 8, text: L('trim_profiles_garment'), id: "garmentLabel" });

	$.__views.garmentView.add($.__views.garmentLabel);
	$.__views.colorView = Ti.UI.createView({ width: 280, height: Ti.UI.FILL, id: "colorView" });

	$.__views.trimProfilesHeaderContainer.add($.__views.colorView);
	$.__views.colorLabel = Ti.UI.createLabel({ left: 8, text: L('trim_profiles_color'), id: "colorLabel" });

	$.__views.colorView.add($.__views.colorLabel);
	$.__views.chargeView = Ti.UI.createView({ width: 132, height: Ti.UI.FILL, id: "chargeView" });

	$.__views.trimProfilesHeaderContainer.add($.__views.chargeView);
	$.__views.chargeLabel = Ti.UI.createLabel({ left: 8, text: L('trim_profiles_charge'), id: "chargeLabel" });

	$.__views.chargeView.add($.__views.chargeLabel);
	$.__views.trimProfilesContainer = Ti.UI.createView({ width: Ti.UI.FILL, height: Ti.UI.SIZE, id: "trimProfilesContainer", layout: "vertical" });

	$.__views.trimProfilesScrollView.add($.__views.trimProfilesContainer);
	$.__views.noProfileLabel = Ti.UI.createLabel({ top: 40, left: 24, width: Ti.UI.SIZE, height: Ti.UI.SIZE, text: L('trim_profiles_no_profiles'), id: "noProfileLabel" });

	$.__views.trimProfilesContainer.add($.__views.noProfileLabel);
	exports.destroy = function () {};

	_.extend($, $.__views);

	$.addNewButton.addEventListener('click', function (_evt) {});

	$.trimProfilesContainer.addEventListener('click', function (_evt) {});

	_.extend($, exports);
}

module.exports = Controller;